package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF7C2 extends MwfRequest<MWF7C2, MWF7C2Response> {

    @Parameter(name = "AppKey")
    MWF7C2 appKey(String appKey);
    @Parameter(name = "AppKeyCardPlastic")
    MWF7C2 appKeyCardPlastic(String appKeyCardPlastic);
    @Parameter(name = "KulKey")
    MWF7C2 kulKey(Long kulKey);
    @Parameter(name = "VariantKey")
    MWF7C2 variantKey(Long variantKey);
}
